EDIT - bug #8223

Urgent TaxonNode wizard issues
04/08/2019 01:07 PM - Katja Luther

Status: Resolved Start date:
Priority: Highest Due date:
Assignee: Andreas Muller % Done: 70%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.6
Severity: normal Found in Version:
Description
Fixes for Hotfix 5.5.1:
e TOE (see comment 1) and LLE (see comment 2) in saveNewTaxonNode fixed
e Taxon Selection in Edit and New Wizard added
e when existing taxon is selected selection of name and textfield should be disabled
Related issues:
Related to EDIT - bug #8088: Open taxon node wizard issues Feedback

Associated revisions

Revision 070e6317 - 02/18/2019 04:37 PM - Katja Luther

ref #8088: taxon should be selectable in taxonnode wizard when editing existing node

Revision 0d3d2e38 - 02/20/2019 09:55 AM - Katja Luther

ref #8088: fix TOE in edit taxon node wizard when changing taxon

Revision 3b0ec7a1l - 02/20/2019 10:21 AM - Katja Luther

ref #8088: use existing taxon for new taxonnode or when editing node

Revision aeb812fd - 02/20/2019 11:34 AM - Katja Luther

ref #8088: save newly created taxonnode with existing taxon

Revision aa5b9df6 - 02/20/2019 12:01 PM - Katja Luther

ref #8088: save newly created taxonnode with existing taxon

Revision 3adf46dc - 02/20/2019 12:07 PM - Katja Luther

ref #8088: taxon should be selectable in taxonnode wizard when editing existing node

Revision 6ad6a6e4 - 02/20/2019 12:18 PM - Katja Luther

ref #8088: fix TOE in edit taxon node wizard when changing taxon

Revision 6f2311af - 02/20/2019 03:33 PM - Katja Luther

ref #8088: fix save taxonnode method

Revision c3b48aa2 - 02/20/2019 04:02 PM - Katja Luther

ref #8088: open taxonnode from result

Revision d669970d - 02/21/2019 09:42 AM - Katja Luther
ref #8088: adapt labels and fix publish flag in edit wizard

Revision b4072196 - 02/21/2019 10:51 AM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision ad2f71e9 - 02/21/2019 12:16 PM - Katja Luther
ref #8088: adapt labels and fix publish flag in edit wizard

Revision a8a19cd5 - 02/21/2019 02:09 PM - Katja Luther
ref #8088: fix publish flag in edit wizard

Revision 30eb4609 - 04/04/2019 09:55 AM - Katja Luther
ref #8088: fix LIE in saveTaxonNode

Revision 12cf574a - 04/08/2019 01:16 PM - Katja Luther
ref #8088: avoid NPE in saveTaxonNode

Revision 36632b22 - 04/10/2019 02:42 PM - Katja Luther

ref #8223: disable name/taxon if existing taxon/name is selected

Revision d446db04 - 04/11/2019 10:52 AM - Katja Luther

ref #8223: check success before try to open new taxon

History

#1 - 04/08/2019 01:08 PM - Katja Luther

Ich habe versucht das Taxon eines Taxonnodes zu &ndern und bekam den Fehler unten.
Gibt es dafur schon ein Ticket? Kannst du die Meldung da rein pasten. Ist dringend fir den Hotfix.

AM

login : admin
editor version : 5.6.0.201902191749
server : test.e-taxonomy.eu (edit-test) / rem_conf_am
schema version : 5.0.0.0.20180514
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
org.springframework.dao.InvalidDataAccessApiUsageException: object references an unsaved transient instance -
save the transient instance before flushing: eu.etaxonomy.cdm.model.taxon.TaxonNode; nested exception is org.h
ibernate.TransientObjectException: object references an unsaved transient instance - save the transient instan
ce before flushing: eu.etaxonomy.cdm.model.taxon.TaxonNode

at org.springframework.orm.hibernate5.SessionFactoryUtils.convertHibernateAccessException (Sessi
onFactoryUtils. java:191)

at org.springframework.orm.hibernateb5.HibernateTransactionManager.convertHibernateAccessExcepti
on (HibernateTransactionManager. java:741)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransaction
Manager. java:589)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit (Abs
tractPlatformTransactionManager. java:761)

at org.springframework.transaction.support.AbstractPlatformTransactionManager.commit (AbstractPl
atformTransactionManager. java:730)

at org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterR
eturning (TransactionAspectSupport. java:485)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction
(TransactionAspectSupport.java:291)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterce
ptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvocat
ion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

Caused by: org.hibernate.TransientObjectException: object references an unsaved transient instance - save the
transient instance before flushing: eu.etaxonomy.cdm.model.taxon.TaxonNode

at org.hibernate.engine.internal.ForeignKeys.getEntityIdentifierIfNotUnsaved (ForeignKeys. java:2
79)

at org.hibernate.type.EntityType.getIdentifier (EntityType.java:455)

at org.hibernate.type.ManyToOneType.nullSafeSet (ManyToOneType. java:144)

at org.hibernate.persister.collection.AbstractCollectionPersister.writeElement (AbstractCollecti
onPersister.java:888)

at org.hibernate.persister.collection.OneToManyPersister.writeIndex (OneToManyPersister. java:244

at org.hibernate.persister.collection.OneToManyPersister.insertRows (OneToManyPersister.java:178
at org.hibernate.action.internal.CollectionUpdateAction.execute (CollectionUpdateAction. java:85)

at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:560)
at org.hibernate.engine.spi.ActionQueue.executeActions (ActionQueue. java:434)
flush (SessionImpl. java:1282)

managedFlush (SessionImpl. java:465)
flushBeforeTransactionCompletion (SessionImpl. java:2963)
beforeTransactionCompletion (SessionImpl. java:2339)
JdbcCoordinatorImpl.beforeTransactionCompletion (JdbcCoord

hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordin
atorImpl.beforeCompletionCallback (JdbcResourceLocalTransactionCoordinatorImpl. java:147)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordin
atorImpl.access$100 (JdbcResourceLocalTransactionCoordinatorImpl. java:38)

at org.hibernate.resource.transaction.backend. jdbc.internal.JdbcResourcelLocalTransactionCoordin
atorImpl$TransactionDriverControlImpl.commit (JdbcResourcelLocalTransactionCoordinatorImpl. java:231)

at org.hibernate.engine.transaction.internal.TransactionImpl.commit (TransactionImpl. java:65)

at org.springframework.orm.hibernate5.HibernateTransactionManager.doCommit (HibernateTransaction

more

#2 - 04/08/2019 01:08 PM - Katja Luther

Hallo,

bekomme diese Fehlermeldung beim Anlegen eines neuen Taxons.

viele GriiBe und schone
Nadja

login : n.korotkov
editor version : 5

server : api.cybertaxonomy.org

WE

a
oM

schema version : 5.0.0.0.20180514
os : Windows 7 6.1 amdo64

java : 1.8.0_20

org.hibernate.lLazyInitializationException:

(cybertaxonomy.org)

/ caryophyllales_spp

could not initialize proxy - no Session

at org.hibernate.proxy.AbstractLazyInitializer.initialize (AbstractLazyInitializer.java:148)
at org.hibernate.proxy.AbstractLazyInitializer.getImplementation (AbstractLazyInitializer. java:
cdm.persistence.hibernate.SaveOrUpdateEntityListener.reindex (SaveOrUpdateEntit

cdm.persistence.hibernate.SaveOrUpdateEntityListener.saveOrUpdate (SaveOrUpdate

cdm.persistence.hibernate.SaveOrUpdateEntityListener.onSaveOrUpdate (SaveOrUpda

.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)
cascade (Cascade.java:61)

event.internal.DefaultSaveOrUpdateEventListener.cascadeOnUpdate (DefaultSaveOr
event.internal.DefaultSaveOrUpdateEventListener.performUpdate (DefaultSaveOrUp
event.internal.DefaultSaveOrUpdateEventListener.entityIsDetached (DefaultSaveO
event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
cascadeAssociation (Cascade. java:323)
cascadeProperty (Cascade.java:162)
cascade (Cascade.java:111)
at org.hibernate.event.internal.AbstractSaveEventListener.cascadeBeforeSave (AbstractSaveEventL
istener.java:425)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSaveE
ventListener. java:249)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListene
r.java:178)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEven
tListener. java:121)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedI
d(DefaultSaveOrUpdateEventListener. java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSave
OrUpdateEventListener.java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.engine.spi.CascadingActions$5.cascade (CascadingActions. java:218)

at org.hibernate.engine.internal.Cascade.cascadeToOne (Cascade. java:398)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:323)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascadeCollectionElements (Cascade.java:431)

at org.hibernate.engine.internal.Cascade.cascadeCollection (Cascade.java:363)

at org.hibernate.engine.internal.Cascade.cascadeAssociation (Cascade.java:326)

at org.hibernate.engine.internal.Cascade.cascadeProperty (Cascade.java:162)

at org.hibernate.engine.internal.Cascade.cascade (Cascade.java:111)

at org.hibernate.event.internal.AbstractSaveEventListener.cascadeAfterSave (AbstractSaveEventLi
stener.java:456)

at org.hibernate.event.internal.AbstractSaveEventListener.performSaveOrReplicate (AbstractSaveE
ventListener. java:278)

at org.hibernate.event.internal.AbstractSaveEventListener.performSave (AbstractSaveEventListene
r.java:178)

at org.hibernate.event.internal.AbstractSaveEventListener.saveWithGeneratedId (AbstractSaveEven
tListener. java:121)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.saveWithGeneratedOrRequestedI
d(DefaultSaveOrUpdateEventListener. java:192)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.entityIsTransient (DefaultSave
OrUpdateEventListener.java:177)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.performSaveOrUpdate (DefaultSa
veOrUpdateEventListener. java:97)

at org.hibernate.event.internal.DefaultSaveOrUpdateEventListener.onSaveOrUpdate (DefaultSaveOrU
pdateEventListener. java:73)

at org.hibernate.internal.SessionImpl.fireSaveOrUpdate (SessionImpl. java:648)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:640)

at org.hibernate.internal.SessionImpl.saveOrUpdate (SessionImpl. java:635)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmEntityDaoBase.saveOrUpdate (CdmEntityDa
oBase. java:341)

at eu.etaxonomy.cdm.api.service.ServiceBase.saveOrUpdate (ServiceBase. java:285)

at eu.etaxonomy.cdm.api.service.ServiceBase.saveOrUpdate (ServiceBase. java:42)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokedJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.$Proxyl733.saveOrUpdate (Unknown Source)

at eu.etaxonomy.cdm.api.service.TaxonNodeServiceImpl.saveNewTaxonNode (TaxonNodeServiceImpl. jav
a:866)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)
at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokedJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocation (
TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransactio
n(TransactionAspectSupport.java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyl744.saveNewTaxonNode (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.AopUtils.invokeJoinpointUsingReflection (AopUtils. java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting.support.RemoteInvocationTracelnterceptor.invoke (RemoteInvocati
onTracelInterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy2013.saveNewTaxonNode (Unknown Source)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor.java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy48.saveNewTaxonNode (Unknown Source)

at eu.etaxonomy.taxeditor.newWizard.NewTaxonNodeWizard.saveEntity (NewTaxonNodeWizard. java:80)

at eu.etaxonomy.taxeditor.newWizard.AbstractNewEntityWizard.performFinish (AbstractNewEntityWiz
ard. java:54)

at org.eclipse. jface.wizard.WizardDialog.finishPressed (WizardDialog.java:790)

at org.eclipse.jface.wizard.WizardDialog.buttonPressed (WizardDialog. java:423)

at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog. java:618)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:249)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

#3 - 04/08/2019 01:09 PM - Katja Luther
- Description updated
- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

#4 - 04/08/2019 01:18 PM - Katja Luther
- Related to bug #8088: Open taxon node wizard issues added

#5 - 04/08/2019 01:18 PM - Katja Luther
- % Done changed from 0 to 70

#6 - 04/10/2019 02:21 PM - Katja Luther
- Description updated

- Status changed from Resolved to In Progress

#7 - 04/12/2019 01:06 PM - Andreas Miuller

- Status changed from In Progress to Resolved
